Bug 234114 - [NEW PORT] textproc/rubygem-mdl: Tool to check markdown files and flag style issues
Summary: [NEW PORT] textproc/rubygem-mdl: Tool to check markdown files and flag style ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Matthias Fechner
URL: https://github.com/markdownlint/markd...
Keywords: feature, needs-qa
Depends on:
Blocks:
 
Reported: 2018-12-18 07:32 UTC by Zane C. Bowers-Hadley
Modified: 2020-12-20 08:59 UTC (History)
3 users (show)

See Also:
koobs: maintainer-feedback? (vvelox)


Attachments
svn diff (2.29 KB, patch)
2018-12-18 07:32 UTC, Zane C. Bowers-Hadley
no flags Details | Diff
fixed svndiff (2.28 KB, patch)
2018-12-18 08:42 UTC, Zane C. Bowers-Hadley
no flags Details | Diff
happy svn diff (2.28 KB, patch)
2018-12-18 08:47 UTC, Zane C. Bowers-Hadley
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zane C. Bowers-Hadley 2018-12-18 07:32:48 UTC
Created attachment 200213 [details]
svn diff

A tool to check markdown files and flag style issues.

WWW: https://github.com/markdownlint/markdownlint
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-18 08:19:35 UTC
Thanks for submitting a new port!

Initial review:

COMMENT needs updating (portlint compliance, remove: leading "A ")

@Zaen Could you please:

- Run the port through QA (portlint, poudriere)
- make any required changes
- Update the patch here after those changes
- Confirm here that it passes QA
Comment 2 Zane C. Bowers-Hadley 2018-12-18 08:42:38 UTC
Created attachment 200218 [details]
fixed svndiff
Comment 3 Zane C. Bowers-Hadley 2018-12-18 08:43:54 UTC
Howdy!

Poudriere loves it and portlint is now happy with it(reversed two lines). Reworded the comment a bit so it makes sense with out A.
Comment 4 Zane C. Bowers-Hadley 2018-12-18 08:47:16 UTC
Created attachment 200219 [details]
happy svn diff

Okay. Now portlint is all happy.
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-18 09:27:39 UTC
(In reply to Zane C. Bowers-Hadley from comment #4)

Thanks! Don't forget to obsolete all older versions of a patch. Having more than one attachment can confuse people :)

Attachment -> Details -> Edit Details -> [x] Obsolete. 

You can also obsolete previous attachments when you're uploading a new one
Comment 6 Zane C. Bowers-Hadley 2018-12-18 10:00:13 UTC
Ohh! Cool. Thanks, did not know about that.
Comment 7 Matthias Fechner freebsd_committer 2020-12-19 15:14:03 UTC
I upgraded the port to the newest version, but that requires some deep changes in many ports.
I just asked some maintainers to approve some commits, after I got them, I will commit many updates, this new port will be included:
https://gitlab.fechner.net/mfechner/Gitlab/-/commit/ecd365343ccd003cef671f5259bccd1f83d4eca1
Comment 8 commit-hook freebsd_committer 2020-12-20 08:23:46 UTC
A commit references this bug:

Author: mfechner
Date: Sun Dec 20 08:22:48 UTC 2020
New revision: 558719
URL: https://svnweb.freebsd.org/changeset/ports/558719

Log:
  New port: Tool to check markdown files and flag style issues

  It is expected that this port fails to build till the complete rubygem-chef upgrade is committed which can take some time depending on some approvals.

  PR:		234114
  Submitted by:	vvelox@vvelox.net

Changes:
  head/textproc/Makefile
  head/textproc/rubygem-mdl/
  head/textproc/rubygem-mdl/Makefile
  head/textproc/rubygem-mdl/distinfo
  head/textproc/rubygem-mdl/pkg-descr
Comment 9 Matthias Fechner freebsd_committer 2020-12-20 08:59:42 UTC
Committed thanks!